API Reference / Relationship Types
/relationship_types/{relationship_type_id} Update a specific relationship type
Renames a relationship type's variants: send the full set of existing variant ids with new names. Variants cannot be added or removed, and a type cannot switch between symmetrical and directional.
Maintained by the OnePageCRM engineering team
Path parameters
| Name | Type | Description |
|---|---|---|
relationship_type_id req | string | Relationship type ID |
Request body
variantsarray<object>The relationship variants.
array item fields β
idstringbson-idID of the relationship variant
namestringThe relationship variant name.
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields β
relationship_typeobjectThe relationship types that identifies the relationships between the contacts.
object fields β
idstringbson-idID of the relationship type
symmetricalbooleanIs the relationship symmetrical? (read only).
relationship_variantsarray<object>requiredThe directional variants of this relationship type.
array item fields β
idstringbson-idID of the relationship type
namestringThe relationship variant name
created_atstringdate-timeCreation time of the relationship type
modified_atstringdate-timeLast modification time of the relationship type
Standard error responses: 400 Β· 401 Β· 403 Β· 404 Β· 409 Β· 500 β shared across the API. See Errors.